﻿@model IEnumerable<NationalTheatre.ViewModels.ShowViewModel>

<nav class="navbar navbar-inverse navbar-fixed-top">
  <div class="container">
    <div class="navbar-header">
      <a asp-area="" asp-controller="Users" asp-action="Logout" class="navbar-brand" style="margin-left:800px">Log out</a>
    </div>
  </div>
</nav>

<h4 class="text-danger">@Html.ValidationMessage("CustomError")</h4>
<br>
<h4 class="text-success">@Html.ValidationMessage("NoError")</h4>

<h3>Shows</h3>

<label style="color:red">@TempData["error"]</label>

<table class="table">
  <thead>
    <tr>
      <th>
        Name
      </th>
      <th>
        Price
      </th>
      <th>
        Available Seats
      </th>
      <th>
        Date
      </th>
      <th>
        Distribution List
      </th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    @foreach (var show in Model)
    {
      <tr>
        <td>
          @show.Name
        </td>
        <td>
          @show.Price
        </td>
        <td>
          @show.AvailableTickets
        </td>
        <td>
          @show.Date
        </td>
        <td>
          @show.DistributionList
        </td>
        <td>
          <a asp-action="Reserve" asp-controller="Users" asp-route-id="@show.Id">Reserve</a> |
          <a asp-action="ViewReservations" asp-controller="Users" asp-route-id="@show.Id">View Reservations</a>
        </td>
      </tr>
    }
  </tbody>
</table>

@section Scripts {
  @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}